=== debian/changelog ===
toxic (0.6.0+git20150708.r1537-1~trusty+1+7.0trisquel1) belenos; urgency=medium

  * Bring Tox to Trisquel from PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Jul 2015 20:08:30 +0000

toxic (0.6.0+git20150708.r1537-1~trusty+1) trusty; urgency=medium

  * Backport to Trusty

 -- Kill Your TV <killyourtv@i2pmail.org>  Fri, 10 Jul 2015 13:20:13 +0000

toxic (0.6.0+git20150708.r1537-1) unstable; urgency=medium

  [ Jfreegman ]
  * Add option to enable acting as TCP relay server
  * Update dht nodes list and fix URL's

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 09 Jul 2015 21:31:59 +0000

toxic (0.6.0+git20150630.r1535-1) unstable; urgency=medium

  [ Jfreegman ]
  * update translations
  * Revert commit 312d0c3 (localization/gettext) There were serious problems
    with branch merging that need to be resolved first

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 08 Jul 2015 11:15:00 +0000

toxic (0.6.0+git20150630.r1533-1) unstable; urgency=medium

  [ Jfreegman ]
  * Fix some possible race conditions related to line printing

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 02 Jul 2015 21:51:09 +0000

toxic (0.6.0+git20150629.r1532-1) unstable; urgency=medium

  [ Ansa89 ]
  * Add localization system (gettext)

  [ Jfreegman ]
  * s/tox.im/tox.chat/g -- reflect new tox domain

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Mon, 29 Jun 2015 18:53:35 +0000

toxic (0.6.0+git20150524.r1525-1) unstable; urgency=medium

  [ Jfreegman ]
  * default tox options on initialization
  * toxcore API changes to tox_new
  * separate bootstrapping and adding TCP relays per toxcore API changes

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Mon, 25 May 2015 22:46:35 +0000

toxic (0.6.0+git20150414.r1522-1) unstable; urgency=medium

  [ Jfreegman ]
  * correctly handle tox_new errors

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 15 Apr 2015 22:13:32 +0000

toxic (0.6.0+git20150413.r1521-1) unstable; urgency=medium

  [ Jfreegman ]
  * null terminate status message
  * try to fall back to ipv4 if tox fails to init with ipv6
  * not clear which error message is given for ipv6 failure

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 14 Apr 2015 09:37:45 +0000

toxic (0.6.0+git20150409.r1518-1) unstable; urgency=medium

  [ Ansa89 ]
  * Makefile: try to fix Tox/toxic#307

  [ Jfreegman ]
  * fix possible segfault

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 09 Apr 2015 09:12:57 +0000

toxic (0.6.0+git20150404.r1516-1) unstable; urgency=medium

  [ Jfreegman ]
  * re-implement friendlist last seen
  * re-implement avatar setting
  * fix a few avatar bugs

  [ Kill Your TV ]
  * New usptream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 09 Apr 2015 09:12:36 +0000

toxic (0.6.0+git20150331.r1507-1) unstable; urgency=medium

  [ Jfreegman ]
  * fix encryption API breakage

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 02 Apr 2015 21:56:43 +0000

toxic (0.6.0+git20150331.r1506-1) unstable; urgency=medium

  [ Jfreegman ]
  * remove non-existant group commands
  * fix bug where contacts would appear online twice in a row

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 01 Apr 2015 01:04:21 +0000

toxic (0.6.0+git20150329.r1504-1) unstable; urgency=medium

  [ Jfreegman ]
  * Refactor and clean up file transfers (No longer rely on undefined core
    filenumber property for indexing)
  * fix bootstrapping
  * small fix
  * a few small filetransfer fixes

  [ Kill Your TV ]
  * Explicitly build depend on a the newapi version of toxcore
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 31 Mar 2015 00:16:34 +0000

toxic (0.6.0-1) unstable; urgency=medium

  [ Ansa89 ]
  * Move makefile into root directory
  * Fix travis build
  * Makefile: be less aggressive when cleaning
  * README.md: fix typo

  [ Jfreegman ]
  * begin port to new API
  * Mostly finished with new API port - File transfers currently don't support
    pausing/resuming - Avatars are not yet done

  [ Kill Your TV ]
  * New upstream release

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 28 Mar 2015 12:54:20 +0000

toxic (0.5.2+20150318.r1490-1) unstable; urgency=medium

  [ Henrique N. Lengler ]
  * Add OpenBSD option to Makefile
  * added gnumake as dep., because you can't compile with *BSDmake

  [ Ansa89 ]
  * Some cosmetics changes

  [ jlo ]
  * added tab autocomplete for "/status o" => "/status online"

  [ Andrey Alekseenko ]
  * Fixing couple leaking file descriptors

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 18 Mar 2015 20:37:31 +0000

toxic (0.5.2+20150313.r1480-1) unstable; urgency=medium

  [ fr33domlover ]
  * Add support for auto-away based on screen attach/detach

  [ Jfreegman ]
  * use pthread for mplex detach polling for better portability
  * fix auto-away bugs Manually set aways no longer unaway when they
    shouldn't, and busy status is no longer overridden

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 14 Mar 2015 02:14:37 +0000

toxic (0.5.2+20150226.r1478-1) unstable; urgency=medium

  [ fr33domlover ]
  * Add support for auto-away based on screen attach/detach

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 10 Mar 2015 01:14:01 +0000

toxic (0.5.2+20150223.r1477-1) unstable; urgency=medium

  [ Spagy ]
  * Correct filename comment from main.c to toxic.c

  [ Loui Chang ]
  * Fix whitespace


