=== debian/control ===
Source: toxic
Section: net
Priority: optional
Maintainer: Kill Your TV <killyourtv@i2pmail.org>
Build-Depends: debhelper (>= 9),
 libalut-dev,
 libconfig-dev,
 libncursesw5-dev,
# libnotify-dev,
 libopenal-dev,
 libtoxav-dev (>= 0.0.0+20150403.r3300),
 libtoxcore-dev (>= 0.0.0+20150403.r3300),
 libtoxdns-dev (>= 0.0.0+20140928.1),
 libtoxencryptsave-dev (>= 0.0.0+20150403.r3300)
Standards-Version: 3.9.6
Homepage: https://github.com/Tox/toxic
Vcs-Git: git://killyourtv.i2p/git/toxic.git
Vcs-Browser: http://killyourtv.i2p/gitweb/?p=toxic.git

Package: toxic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reference CLI for Tox
 Toxic is a Tox-based instant messenging client which formerly resided in the
 Tox core repository, and is now available as a standalone application.

Package: toxic-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 toxic (= ${binary:Version}),
 libtoxdns-dbg,
 libtoxencryptsave-dbg,
 libtoxcore-dbg,
 libtoxav-dbg
Description: Reference CLI for Tox - debugging symbols
 Toxic is a Tox-based instant messenging client which formerly resided in the
 Tox core repository, and is now available as a standalone application.
 .
 This package contains the symbols needed for debugging toxic.
