=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --parallel

export USER_CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -ggdb
export USER_LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),kfreebsd)
export USER_LDFLAGS += -lresolv
endif

override_dh_auto_build:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/toxic

override_dh_auto_clean:
	make clean
	dh_clean

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/toxic DISABLE_X11=1

override_dh_strip:
	dh_strip --dbg-package=toxic-dbg
