## toxic 0.8.3

=== Makefile ===
--- 
+++ 
@@ -3,35 +3,36 @@
 
 -include $(CFG_DIR)/global_vars.mk
 
-LIBS = libtoxcore ncursesw libconfig
+LIBS = toxcore ncursesw libconfig libcurl
 
-CFLAGS = -std=gnu99 -pthread -Wall -g
+CFLAGS ?= -g
+CFLAGS += -std=gnu99 -pthread -Wall -fstack-protector-all
 CFLAGS += '-DTOXICVER="$(VERSION)"' -DHAVE_WIDECHAR -D_XOPEN_SOURCE_EXTENDED -D_FILE_OFFSET_BITS=64
 CFLAGS += '-DPACKAGE_DATADIR="$(abspath $(DATADIR))"'
-CFLAGS += $(USER_CFLAGS)
-LDFLAGS = $(USER_LDFLAGS)
+CFLAGS += ${USER_CFLAGS}
+LDFLAGS ?=
+LDFLAGS += ${USER_LDFLAGS}
 
-OBJ = chat.o chat_commands.o configdir.o dns.o execute.o file_transfers.o notify.o
-OBJ += friendlist.o global_commands.o groupchat.o line_info.o input.o help.o autocomplete.o
-OBJ += log.o misc_tools.o prompt.o settings.o toxic.o toxic_strings.o windows.o message_queue.o
-OBJ += group_commands.o term_mplex.o avatars.o
+OBJ = autocomplete.o avatars.o bootstrap.o chat.o chat_commands.o configdir.o curl_util.o execute.o
+OBJ += file_transfers.o friendlist.o global_commands.o group_commands.o groupchat.o help.o input.o
+OBJ += line_info.o log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
+OBJ += term_mplex.o toxic.o toxic_strings.o windows.o
 
 # Check on wich system we are running
 UNAME_S = $(shell uname -s)
 ifeq ($(UNAME_S), Linux)
-    -include $(CFG_DIR)/systems/Linux.mk
-endif
-ifeq ($(UNAME_S), FreeBSD)
-    -include $(CFG_DIR)/systems/FreeBSD.mk
+LDFLAGS += -ldl -lrt
 endif
 ifeq ($(UNAME_S), OpenBSD)
-    -include $(CFG_DIR)/systems/FreeBSD.mk
+LIBS := $(filter-out ncursesw, $(LIBS))
+LDFLAGS += -lncursesw
+endif
+ifeq ($(UNAME_S), NetBSD)
+LIBS := $(filter-out ncursesw, $(LIBS))
+LDFLAGS += -lncursesw
 endif
 ifeq ($(UNAME_S), Darwin)
     -include $(CFG_DIR)/systems/Darwin.mk
-endif
-ifeq ($(UNAME_S), Solaris)
-    -include $(CFG_DIR)/systems/Solaris.mk
 endif
 
 # Check on which platform we are running
@@ -59,6 +60,10 @@
 	@echo "  LD    $(@:$(BUILD_DIR)/%=%)"
 	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/toxic $(OBJ) $(LDFLAGS)
 
+$(BUILD_DIR)/osx_video.o: $(SRC_DIR)/$(OSX_VIDEO)
+	@echo "  CC    $(@:$(BUILD_DIR)/)osx_video.o"
+	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/osx_video.o -c $(SRC_DIR)/$(OSX_VIDEO)
+
 $(BUILD_DIR)/%.o: $(SRC_DIR)/%.c
 	@if [ ! -e $(BUILD_DIR) ]; then \
 		mkdir -p $(BUILD_DIR) ;\
