=== debian/changelog ===
toxic (0.8.3-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:40:16 +0000

toxic (0.8.3-2) unstable; urgency=medium

  * Source only upload for testing migration.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 13 Jan 2020 08:31:12 +0100

toxic (0.8.3-1) unstable; urgency=medium

  * Initial release. (Closes: #764071)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Oct 2019 11:01:58 +0200
