=== debian/control ===
Source: toxic
Section: net
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), libtoxcore-dev, libncursesw5-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev, libqrencode-dev, libopenal-dev,
 libalut-dev, libnotify-dev, python3-dev, asciidoc, libconfig-dev
Standards-Version: 4.4.1
Homepage: https://github.com/JFreegman/toxic
#Vcs-Browser: https://salsa.debian.org/debian/toxic
#Vcs-Git: https://salsa.debian.org/debian/toxic.git

Package: toxic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: curses Tox based instant messenging client
 This is a Tox-based instant messenging client which formerly resided in
 the Tox core repository, and is now available as a standalone
 application.
 .
 Tox is a secure and distributed Skype replacement.
 .
 At its heart it’s a client dealing with our core library communicating
 on our own protocol. All communications are encrypted using the peer
 audited NaCl cypto library and this encryption can not be turned off.
 .
 Tox is powered by a distributed network which uses P2P connections for
 chats between people, unlike other Skype replacements no federated
 servers, centralized servers, or supernodes are used.
