## toxic 0.10.1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,7 @@
 
 LIBS = toxcore ncursesw libconfig libcurl
 
-CFLAGS ?= -g
-CFLAGS += -std=gnu99 -pthread -Wall -fstack-protector-all
+CFLAGS ?= -std=c99 -pthread -Wall -Wpedantic -Wunused -fstack-protector-all -Wvla -Wno-missing-braces
 CFLAGS += '-DTOXICVER="$(VERSION)"' -DHAVE_WIDECHAR -D_XOPEN_SOURCE_EXTENDED -D_FILE_OFFSET_BITS=64
 CFLAGS += '-DPACKAGE_DATADIR="$(abspath $(DATADIR))"'
 CFLAGS += ${USER_CFLAGS}
@@ -14,9 +13,25 @@
 LDFLAGS += ${USER_LDFLAGS}
 
 OBJ = autocomplete.o avatars.o bootstrap.o chat.o chat_commands.o configdir.o curl_util.o execute.o
-OBJ += file_transfers.o friendlist.o global_commands.o group_commands.o groupchat.o help.o input.o
+OBJ += file_transfers.o friendlist.o global_commands.o conference_commands.o conference.o help.o input.o
 OBJ += line_info.o log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
 OBJ += term_mplex.o toxic.o toxic_strings.o windows.o
+
+# Check if debug build is enabled
+RELEASE := $(shell if [ -z "$(ENABLE_RELEASE)" ] || [ "$(ENABLE_RELEASE)" = "0" ] ; then echo disabled ; else echo enabled ; fi)
+ifneq ($(RELEASE), enabled)
+	CFLAGS += -O0 -g -DDEBUG
+	LDFLAGS += -O0
+else
+	CFLAGS += -O2 -flto
+	LDFLAGS += -O2 -flto
+endif
+
+# Check if LLVM Address Sanitizer is enabled
+ASAN := $(shell if [ -z "$(ENABLE_ASAN)" ] || [ "$(ENABLE_ASAN)" = "0" ] ; then echo disabled ; else echo enabled ; fi)
+ifneq ($(ASAN), disabled)
+	CFLAGS += -fsanitize=address -fno-omit-frame-pointer
+endif
 
 # Check on wich system we are running
 UNAME_S = $(shell uname -s)
@@ -70,7 +85,7 @@
 	fi
 	@echo "  CC    $(@:$(BUILD_DIR)/%=%)"
 	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/$*.o -c $(SRC_DIR)/$*.c
-	@$(CC) -MM $(CFLAGS) $(SRC_DIR)/$*.c > $(BUILD_DIR)/$*.d
+	@$(CC) -MM $(CFLAGS) $(SRC_DIR)/$*.c >$(BUILD_DIR)/$*.d
 
 clean:
 	rm -f $(BUILD_DIR)/*.d $(BUILD_DIR)/*.o $(BUILD_DIR)/toxic
