=== debian/changelog ===
toxic (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Added Rules-Requires-Root.
    - Bump standards version to 4.5.1.
    - Bump debhelper version to 13.
    - Replace first person in long description.
  * d/upstream/metadata: added.
  * d/copyright: update years.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Feb 2021 09:22:51 +0100
