=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 12), libtoxcore-dev, libncursesw5-dev,
+Build-Depends: debhelper-compat (= 13), libtoxcore-dev, libncursesw5-dev,
  libcurl4-gnutls-dev | libcurl4-openssl-dev, libqrencode-dev, libopenal-dev,
  libalut-dev, libnotify-dev, python3-dev, asciidoc, libconfig-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/JFreegman/toxic
 #Vcs-Browser: https://salsa.debian.org/debian/toxic
 #Vcs-Git: https://salsa.debian.org/debian/toxic.git
@@ -20,8 +21,8 @@
  .
  Tox is a secure and distributed Skype replacement.
  .
- At its heart it’s a client dealing with our core library communicating
- on our own protocol. All communications are encrypted using the peer
+ At its heart it’s a client dealing with its core library communicating
+ on its own protocol. All communications are encrypted using the peer
  audited NaCl cypto library and this encryption can not be turned off.
  .
  Tox is powered by a distributed network which uses P2P connections for
