## toxic 0.11.1

=== debian/changelog ===
toxic (0.11.1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:51 +1100

toxic (0.11.1-3build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:28:25 +0000

toxic (0.11.1-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:29:32 +0000

toxic (0.11.1-3) unstable; urgency=medium

  * QA upload.
  * Fix format string in mvwprintw calls (Closes: #996630)
  * Get rid of pedantic build flags not to break too often

 -- Bastian Germann <bage@debian.org>  Sat, 16 Oct 2021 23:26:12 +0200

toxic (0.11.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 09:42:20 +0200

toxic (0.11.1-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Jun 2021 14:35:05 +0200
