=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: toxic
 Section: net
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), libtoxcore-dev, libncursesw5-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libtoxcore-dev, libncurses-dev,
  libcurl4-gnutls-dev | libcurl4-openssl-dev, libqrencode-dev, libopenal-dev,
  libalut-dev, libnotify-dev, python3-dev, asciidoc, libconfig-dev
 Standards-Version: 4.5.1
