=== debian/changelog ===
toxic (0.11.3-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.11.3
    - Newer versions like 0.12.0 fail to build.
  * Dropped Fix-format-string-in-mvwprintw patch now included upstream.
  * Moved install prefix setting to d/rules and drop obsolete patch install-target.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Oct 2024 06:30:23 +0200

toxic (0.11.1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Added 1000-mime-desktop-exec.patch to fix lintian reported typo in
    XDG desktop file.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Oct 2024 23:27:00 +0200
