=== debian/changelog ===
toxic (201705051709~f858714mx17+1) mx; urgency=medium

  * Rebuild for MX-17
  
 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 02 Jul 2017 22:30:34 -0400

toxic (201705051709~f858714) unstable; urgency=low

  * Build upstream version from git (@f858714edde8186d27a1f4e9a93ee3abcf1d8166)

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 05 May 2017 17:09:08 +0300
