=== debian/control ===
Source: toxic
Section: net
Priority: optional
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1),
 lsb-release, pkg-config, asciidoc, gettext,
 libconfig-dev, libncursesw5-dev, libqrencode-dev, libx11-dev, libnotify-dev, libcurl4-openssl-dev,
 libopenal-dev, libalut-dev,
 libvpx-dev | tox-libvpx-dev,
 libopus-dev | tox-libopus-dev,
 libsodium-dev (>= 0.5.0) | tox-libsodium-dev,
 tox-libtoxcore-dev
Maintainer: Anton Batenev <antonbatenev@yandex.ru>
Standards-Version: 3.9.4
Homepage: https://github.com/Tox/toxic

Package: toxic
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: toxic-nox
Architecture: any
Description: Ncurses-based CLI tox-based instant messenging client
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

Package: toxic-dbg
Section: debug
Priority: extra
Depends: toxic (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debug symbols for toxic
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

Package: toxic-nox
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: toxic
Architecture: any
Description: Ncurses-based CLI tox-based instant messenging client (without X support)
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

Package: toxic-nox-dbg
Section: debug
Priority: extra
Depends: toxic-nox (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debug symbols for toxic-nox
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.
